<script>
export let type = ""
export let paddingless = false

$: bindClass = () => {
	let result = ""

	if (type && [ "", "small", "medium", "large" ].includes(type))
		result += `is-${type}`

	if (paddingless)
		result += " is-paddingless"

	return result
}
</script>

<template lang="pug">
section.section( class="{bindClass()}" )
	.container: slot
</template>

<style lang="scss">
@import "bulma/sass/layout/section.sass";

.container {
	max-width: 1136px;
	width: 100%;
	margin: 0 auto;
}

.section {
	@include min_mobile {
		padding-right: 4.5rem;
		padding-left: 4.5rem;
	}
	@include max_mobile {
		padding-right: 1.5rem;
		padding-left: 1.5rem;
	}
	&.is-small {
		padding: .75rem 1.5rem;
		@include min_tablet {
			padding: .75rem 3rem;
		}
	}

	&.is-paddingless {
		padding-top: 0;
		padding-bottom: 0;
	}
}
</style>